GCLOUD_COMPUTE_INSTANCES_TAIL-SERIAL-PORT-OUTPUT(1)

NAME

gcloud compute instances tail-serial-port-output - periodically fetch new output from a virtual machine instance's serial port and display it as it becomes available

SYNOPSIS

gcloud compute instances tail-serial-port-output NAME [--port=PORT] [--zone=ZONE] [GLOBAL-FLAG ...]

DESCRIPTION
gcloud compute instances tail-serial-port-output is used to tail the output from a Google Compute Engine virtual machine instance's serial port. The serial port output from the instance will be printed to standard output. This information can be useful for diagnostic purposes.

POSITIONAL ARGUMENTS

    NAME
        The name of the instance.

FLAGS

    --port=PORT
        Instances can support up to four serial port outputs, numbered 1 through 4. By default, this command will return the output of the first serial port. Setting this flag will return the output of the requested serial port.

    --zone=ZONE
        The zone of the instance to operate on. If not specified, you will be prompted to select a zone. To avoid prompting when this flag is omitted, you can set the compute/zone property:
        $ gcloud config set compute/zone ZONE
    A list of zones can be fetched by running:
        $ gcloud compute zones list
    To unset the property, run:
        $ gcloud config unset compute/zone
    Alternatively, the zone can be stored in the environment variable CLOUDSDK_COMPUTE_ZONE.

GLOBAL FLAGS
Run $ gcloud help for a description of flags available to all commands.